Subject: Re: [PATCH 1/2] MSVC: Do not close stdout to prevent a crash

From: Andreas Schwab <[email-masked]>
Date: Sat, 19 Nov 2011 15:41:38 +0100

Vincent van Ravesteijn <[email-masked]> writes:

> When compiled with MSVC, git crashes on Windows when calling
> fstat(stdout) when stdout is closed. fstat is being called at the end of

ITYM fileno(stdout).

> run_builtin and this will thus be a problem for builtin command that close
> stdout. This happens for 'format-patch' which closes stdout after a call to
> freopen which directs stdout to the format patch file.

It shouldn't do that in the first place.  This is an error on any
platform.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."